std::basic_syncbuf::set_emit_on_sync(3)

NAME
std::basic_syncbuf::set_emit_on_sync - std::basic_syncbuf::set_emit_on_sync

Synopsis
   void set_emit_on_sync( bool b ) noexcept;
   Changes the current emit-on-sync policy.
   The value false (the default) indicates that any flush will be postponed until a
   call to emit.
   The value true makes flushes apply immediately.

Parameters
   b - new value for the emit-on-sync policy

Example
    This section is incomplete
    Reason: no example

See also
   sync synchronizes the buffers with the associated character sequence
   [virtual] (virtual protected member function of
                   std::basic_streambuf<CharT,Traits>)
                   atomically transmits the entire internal buffer to the wrapped
   emit streambuf
                   (public member function)
   emit_on_flush controls whether a stream's basic_syncbuf emits on flush
   noemit_on_flush (function template)
   (C++20)